/* replication of Gourinchas and Parker (Econometrica 2002) */
/* sam schulhofer-wohl, 9/13/2013 */
/* save a weighting matrix */
#include <stdio.h>
#include "gp_ssw_intel.h"

void gp_ssw_outputweightmat(const struct problem myproblem, const char *filename)
{
  
  int i,j;
  
  /* output */
  FILE * myfile=fopen(filename,"w");
  for(i=0;i<GP_SSW_T;i++) {
    for(j=0;j<GP_SSW_T;j++) {
      fprintf(myfile,"%# 15.14g",myproblem.weightmat[i*GP_SSW_T+j]);
      if(j<GP_SSW_T-1) fprintf(myfile,",");
    }
    fprintf(myfile,"\n");
  }    
  fclose(myfile);

}

