/* replication of Gourinchas and Parker (Econometrica 2002) */
/* sam schulhofer-wohl, 9/13/2013 */
/* quickly read comma-delimited file  */
int readfile(const char *filename, TYPE *data)
  {
  const int maxlinesize=1000*16;
  char *line, *field;
  FILE *myfile=fopen(filename,"r");
  if(myfile!=NULL)
    {
    line=(char *) malloc(maxlinesize*sizeof(char));
    int pos=0;
    while(fgets(line,maxlinesize,myfile))
      {
      field=strtok(line,",");
      while(field!=NULL)
        {
        data[pos]=CONV(field);
        field=strtok(NULL,",");
        pos++;
        }
      }
    fclose(myfile);
    free(line);
    return EXIT_SUCCESS;
    }
  else
    {
    return EXIT_FAILURE;
    }
  }

